## wildfly:undeploy

Full name:

org.wildfly.plugins:wildfly-maven-plugin:5.0.0.Beta4:undeploy

Description:

Undeploys the application to the WildFly Application Server.

Attributes:

- Requires a Maven project to be executed.
- The goal is thread-safe and supports parallel builds.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
`<authenticationConfig>` | `URL` | `-` | A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server. User Property: `wildfly.authConfig` Alias: `authentication-config`
`<checkPackaging>` | `boolean` | `-` | By default certain package types are ignored when processing, e.g. `maven-project` and `pom`. Set this value to `false` if this check should be bypassed. Default: `true` User Property: `wildfly.checkPackaging` Alias: `check-packaging`
`<hostname>` | `String` | `-` | Specifies the host name of the server where the deployment plan should be executed. Default: `localhost` User Property: `wildfly.hostname`
`<id>` | `String` | `-` | Specifies the id of the server if the username and password is to be retrieved from the settings.xml file User Property: `wildfly.id`
`<ignoreMissingDeployment>` | `boolean` | `-` | Indicates whether undeploy should ignore the undeploy operation if the deployment does not exist. Default: `true` User Property: `undeploy.ignoreMissingDeployment`
`<matchPattern>` | `String` | `-` | Specifies the name match pattern for undeploying/replacing artifacts. Alias: `match-pattern`
`<matchPatternStrategy>` | `String` | `-` | Specifies the strategy in case more than one matching artifact is found. first: The first artifact is taken for undeployment/replacement. Other artifacts won't be touched. The list of artifacts is sorted using the default collator. all: All matching artifacts are undeployed. fail: Deployment fails. Alias: `match-pattern-strategy`
`<name>` | `String` | `-` | Specifies the name used for the deployment. The default name is derived from the `project.build.finalName` and the packaging type. User Property: `wildfly.deployment.name`
`<password>` | `String` | `-` | Specifies the password to use if prompted to authenticate by the server. If no password is specified and the server requests authentication the user will be prompted to supply the password, User Property: `wildfly.password`
`<port>` | `int` | `-` | Specifies the port number the server is listening on. Default: `9990` User Property: `wildfly.port`
`<protocol>` | `String` | `-` | The protocol used to connect to the server for management. User Property: `wildfly.protocol`
`<serverGroups>` | `List<String>` | `-` | The server groups the content should be deployed to. User Property: `wildfly.serverGroups` Alias: `server-groups`
`<skip>` | `boolean` | `-` | Set to `true` if you want the deployment to be skipped, otherwise `false`. Default: `false` User Property: `wildfly.skip`
`<timeout>` | `int` | `-` | The timeout, in seconds, to wait for a management connection. Default: `60` User Property: `wildfly.timeout`
`<username>` | `String` | `-` | Specifies the username to use if prompted to authenticate by the server. If no username is specified and the server requests authentication the user will be prompted to supply the username, User Property: `wildfly.username`

### Parameter Details

#### <authenticationConfig>

A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server.

- Type: `java.net.URL`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.authConfig`
- Alias: `authentication-config`

#### <checkPackaging>

By default certain package types are ignored when processing, e.g. `maven-project` and `pom`. Set this value to `false` if this check should be bypassed.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.checkPackaging`
- Default: `true`
- Alias: `check-packaging`

#### <hostname>

Specifies the host name of the server where the deployment plan should be executed.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.hostname`
- Default: `localhost`

#### <id>

Specifies the id of the server if the username and password is to be retrieved from the settings.xml file

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.id`

#### <ignoreMissingDeployment>

Indicates whether undeploy should ignore the undeploy operation if the deployment does not exist.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `undeploy.ignoreMissingDeployment`
- Default: `true`

#### <matchPattern>

Specifies the name match pattern for undeploying/replacing artifacts.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- Alias: `match-pattern`

#### <matchPatternStrategy>

Specifies the strategy in case more than one matching artifact is found.

- first: The first artifact is taken for undeployment/replacement. Other artifacts won't be touched. The list of artifacts is sorted using the default collator.
- all: All matching artifacts are undeployed.
- fail: Deployment fails.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- Alias: `match-pattern-strategy`

#### <name>

Specifies the name used for the deployment.

The default name is derived from the `project.build.finalName` and the packaging type.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.deployment.name`

#### <password>

Specifies the password to use if prompted to authenticate by the server.

If no password is specified and the server requests authentication the user will be prompted to supply the password,

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.password`

#### <port>

Specifies the port number the server is listening on.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.port`
- Default: `9990`

#### <protocol>

The protocol used to connect to the server for management.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.protocol`

#### <serverGroups>

The server groups the content should be deployed to.

- Type: `java.util.List<java.lang.String>`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.serverGroups`
- Alias: `server-groups`

#### <skip>

Set to `true` if you want the deployment to be skipped, otherwise `false`.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.skip`
- Default: `false`

#### <timeout>

The timeout, in seconds, to wait for a management connection.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.timeout`
- Default: `60`

#### <username>

Specifies the username to use if prompted to authenticate by the server.

If no username is specified and the server requests authentication the user will be prompted to supply the username,

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.username`